ControllerMapping_t Struct Reference
Collaboration diagram for ControllerMapping_t:
[legend]

## Data Fields

SDL_JoystickGUID | guid
char * | name
char * | mapping
SDL_ControllerMappingPriority | priority
struct _ControllerMapping_t * | next

## Detailed Description

Definition at line 89 of file SDL_gamecontroller.c.

## Field Documentation

## guid

SDL_JoystickGUID ControllerMapping_t::guid

Definition at line 91 of file SDL_gamecontroller.c.

Referenced by SDL_GameControllerMappingForIndex(), SDL_GameControllerNumMappings(), SDL_GameControllerOpen(), SDL_PrivateAddMappingForGUID(), SDL_PrivateGameControllerRefreshMapping(), and SDL_PrivateGetControllerMappingForGUID().

## mapping

char* ControllerMapping_t::mapping

Definition at line 93 of file SDL_gamecontroller.c.

Referenced by SDL_GameControllerMappingForGUID(), SDL_GameControllerMappingForIndex(), SDL_GameControllerOpen(), SDL_GameControllerQuitMappings(), SDL_PrivateAddMappingForGUID(), and SDL_PrivateGameControllerRefreshMapping().

## name

char* ControllerMapping_t::name

Definition at line 92 of file SDL_gamecontroller.c.

Referenced by SDL_GameControllerMappingForGUID(), SDL_GameControllerMappingForIndex(), SDL_GameControllerNameForIndex(), SDL_GameControllerOpen(), SDL_GameControllerQuitMappings(), SDL_PrivateAddMappingForGUID(), and SDL_PrivateGameControllerRefreshMapping().

## next

struct _ControllerMapping_t* ControllerMapping_t::next

Definition at line 95 of file SDL_gamecontroller.c.

Referenced by SDL_GameControllerMappingForIndex(), SDL_GameControllerNumMappings(), SDL_GameControllerQuitMappings(), SDL_PrivateAddMappingForGUID(), and SDL_PrivateGetControllerMappingForGUID().

## priority

SDL_ControllerMappingPriority ControllerMapping_t::priority

Definition at line 94 of file SDL_gamecontroller.c.

Referenced by SDL_PrivateAddMappingForGUID().

The documentation for this struct was generated from the following file:

- src/joystick/SDL_gamecontroller.c